
# ===================================
# Cheat: You control the buttons you press
[Cheat]
# Unlock normally event-only tickets
TicketUnlock=true
# Unlock maps that are not in this version
MapUnlock=true
# Unlock Utage without the need of DXRating 10000
UnlockUtage=true
# Restore AutoPlay(Home) and Pause(Enter) for SDGA
DebugFeature=true

# ===================================
# UX: User Experience Improvements
[UX]
# Skip the warning screen and logo shown after the POST sequence
SkipWarningScreen=true
# Single player: Show 1P only, at the center of the screen
SinglePlayer=true
# !!EXPERIMENTAL!! Skip from the card-scanning screen directly to music selection screen
SkipToMusicSelection=false
# Set the version string displayed at the top-right corner of the screen
CustomVersionString=""
# Deprecated: Use `LoadAssetsPng` instead
# LoadJacketPng=true
# Load Jacket image from folder "LocalAssets" and filename "{MusicID}.png" for self-made charts
LoadAssetsPng=true
# Use the png jacket above as BGA if BGA is not found for self-made charts
# Use together with `LoadJacketPng`
LoadLocalBga=true
# Press key "7" for 1 second to skip to next step or restart current song
QuickSkip=true
# Add ".ab" image resources without the need of rebuilding a manifest
LoadAssetBundleWithoutManifest=true
# Skip "New Event" and "Information" text boxes for new users
SkipEventInfo=true
# Random BGM, put Mai2Cue.{acb,awb} of old version of the game in `LocalAssets\Mai2Cue` and rename them
# Do not enable when SinglePlayer is off
RandomBgm=false
# Play "Master" difficulty on Demo screen
DemoMaster=true
# Execute some command on game idle or on game start
ExecOnIdle=""
ExecOnEntry=""
# Disable timers
# Not recommand to enable when SinglePlayer is off
ExtendTimer=true
# Save immediate after playing a song
ImmediateSave=true
# Prevent accidental touch of the Test button
TestProof=false
# Custom shop name in photo
# Also enable shop name display in SDGA
CustomPlaceName=""
# In the song selection screen, press the Service button or the "7" key (the round button in the middle of the arrow keys in the default ADX firmware) to toggle the display of self-made charts.
# A directory is considered to contain self-made charts if it does not have DataConfig.xml or OfficialChartsMark.txt in the Axxx directory.
HideSelfMadeCharts=true
# Show detail of selected song in music selection screen
SelectionDetail=true

[Performance]
# Disable some useless delays to speed up the game boot process
ImproveLoadSpeed=true

[Fix]
# Allow login with higher data version
SkipVersionCheck=true
RemoveEncryption=true
ForceAsServer=true
ForceFreePlay=true
